com.h3c.of.lib.mp

## Class MBodyGroupFeatures

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyGroupFeatures

- All Implemented Interfaces:
    MultipartBody, Structure
  Direct Known Subclasses:
    MBodyMutableGroupFeatures

      public class MBodyGroupFeatures
      extends OpenflowStructure
      implements MultipartBody

  Represents a group features element; part of a reply to a group features request multipart message; since 1.2.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBodyGroupFeatures(ProtocolVersion pv)` Constructs a multipart body GroupFeatures type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ActionType>` | `getActionsForType(GroupType type)` Returns the set of supported actions for the given group type; since 1.2.
    `Set<GroupCapability>` | `getCapabilities()` Returns the set of supported group capabilities; since 1.2.
    `long` | `getMaxGroupsForType(GroupType type)` Returns the maximum number of groups for the given group type; since 1.2.
    `int` | `getTotalLength()` Returns the total length of the body, in bytes.
    `Set<GroupType>` | `getTypes()` Returns the set of supported group types; since 1.2.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toDebugString(int indent)` Returns a multi-line representation of this Group Features object.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.mp.MultipartBody

      `validate`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion`

- - ### Constructor Detail

    - #### MBodyGroupFeatures

          public MBodyGroupFeatures(ProtocolVersion pv)

      Constructs a multipart body GroupFeatures type.
      Parameters:
        `pv` - the protocol version

  - ### Method Detail

    - #### getTotalLength

          public int getTotalLength()

      Description copied from interface: `MultipartBody`
      Returns the total length of the body, in bytes.
      Specified by:
        `getTotalLength` in interface `MultipartBody`
      Returns:
        the total length of the body

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowStructure`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowStructure`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowStructure.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowStructure`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### toDebugString

          public String toDebugString(int indent)

      Returns a multi-line representation of this Group Features object.
      Parameters:
        `indent` - the additional indent (number of spaces)
      Returns:
        a multi-line representation

    - #### getTypes

          public Set<GroupType> getTypes()

      Returns the set of supported group types; since 1.2.
      Returns:
        the set of supported group types

    - #### getCapabilities

          public Set<GroupCapability> getCapabilities()

      Returns the set of supported group capabilities; since 1.2.
      Returns:
        the set of group capabilities

    - #### getMaxGroupsForType

          public long getMaxGroupsForType(GroupType type)

      Returns the maximum number of groups for the given group type; since 1.2.
      Parameters:
        `type` - the group type
      Returns:
        the maximum number of supported groups

    - #### getActionsForType

          public Set<ActionType> getActionsForType(GroupType type)

      Returns the set of supported actions for the given group type; since 1.2.
      Parameters:
        `type` - the group type
      Returns:
        the set of supported actions

Copyright © 2014. All Rights Reserved.